Mir

[testsfail] ClientLatency.triple_buffered_client_has_less_than_two_frames_latency

Bug #1576690 reported by Alan Griffiths on 2016-04-29
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Mir
Fix Released
Medium
Daniel van Vugt
mir (Ubuntu)
Undecided
Unassigned

Bug Description

lp:1509291 & lp:1554572 are "Fix Released" but...

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=i386,compiler=gcc,platform=mesa,release=xenial/987/consoleFull

12:02:55 14: [ RUN ] ClientLatency.triple_buffered_client_has_less_than_two_frames_latency
12:02:55 14: [2016-04-29 12:02:55.779524] mirserver: Starting
12:02:55 14: [2016-04-29 12:02:55.779973] mirserver: Selected driver: dummy (version 0.23.0)
12:02:55 14: [2016-04-29 12:02:55.785579] mirserver: Using software cursor
12:02:55 14: [2016-04-29 12:02:55.786033] mirserver: Initial display configuration:
12:02:55 14: [2016-04-29 12:02:55.791067] mirserver: Selected input driver: mir:stub-input (version: 0.23.0)
12:02:55 14: [2016-04-29 12:02:55.791323] mirserver: Mir version 0.23.0
12:02:57 14: [ debug ] 98 frames sampled, averaging 2.6 frames latency
12:02:57 14: [ debug ] 0: 2 2 2 2 2 2 2 2 2 2
12:02:57 14: [ debug ] 10: 2 2 2 2 2 2 2 2 2 2
12:02:57 14: [ debug ] 20: 2 2 2 2 2 2 2 2 2 2
12:02:57 14: [ debug ] 30: 2 2 2 2 2 2 2 2 2 2
12:02:57 14: [ debug ] 40: 3 3 3 3 3 3 3 3 3 3
12:02:57 14: [ debug ] 50: 3 3 2 3 3 3 3 3 3 3
12:02:57 14: [ debug ] 60: 3 3 3 3 3 3 3 3 3 3
12:02:57 14: [ debug ] 70: 3 3 3 3 3 3 3 3 3 3
12:02:57 14: [ debug ] 80: 3 3 3 3 3 3 3 3 3 3
12:02:57 14: [ debug ] 90: 3 3 3 3 3 3 3 3
12:02:57 14: /��BUILDDIR��/mir-0.23.0+xenial1014bzr3479/tests/acceptance-tests/test_latency.cpp:296: Failure
12:02:57 14: Value of: observed_latency
12:02:57 14: Expected: is < 2.4
12:02:57 14: Actual: 2.58163 (of type float)
12:02:57 14: [2016-04-29 12:02:57.596475] mirserver: Stopping
12:02:57 14: [ FAILED ] ClientLatency.triple_buffered_client_has_less_than_two_frames_latency

Related branches

Daniel van Vugt (vanvugt) wrote :

We have been talking about separating performance tests out of the acceptance tests.

This is a recurring problem for time-sensitive tests. Our CI machines are sometimes too slow to pass them.

Changed in mir:
assignee: nobody → Daniel van Vugt (vanvugt)
description: updated
summary: - [testsfail] ClientLatency.throttled_input_rate_yields_lower_latency
+ [testsfail]
+ ClientLatency.triple_buffered_client_has_less_than_two_frames_latency
Changed in mir:
importance: Undecided → Medium
status: New → Triaged
Daniel van Vugt (vanvugt) wrote :

03:18:00 12: [ debug ] 98 frames sampled, averaging 2.7 frames latency
03:18:00 12: [ debug ] 0: 1 2 2 2 2 2 2 2 2 2
03:18:00 12: [ debug ] 10: 2 2 2 2 2 2 2 2 2 2
03:18:00 12: [ debug ] 20: 2 2 2 2 2 2 2 3 3 3
03:18:00 12: [ debug ] 30: 3 3 3 3 3 3 3 3 3 3
03:18:00 12: [ debug ] 40: 3 3 3 3 3 3 3 3 3 3
03:18:00 12: [ debug ] 50: 3 3 3 3 3 3 3 3 3 3
03:18:00 12: [ debug ] 60: 3 3 3 3 3 3 3 3 3 3
03:18:00 12: [ debug ] 70: 3 3 3 3 3 3 3 3 3 3
03:18:00 12: [ debug ] 80: 3 3 3 3 3 3 3 3 3 3
03:18:00 12: [ debug ] 90: 3 3 3 3 3 3 3 3
03:18:00 12: /��BUILDDIR��/mir-0.23.0+vivid1061bzr3497/tests/acceptance-tests/test_latency.cpp:296: Failure
03:18:00 12: Value of: observed_latency
03:18:00 12: Expected: is < 2.4
03:18:00 12: Actual: 2.71429 (of type float)
03:18:00 12: [2016-05-09 03:18:00.781802] mirserver: Stopping
03:18:00 12: [ FAILED ] ClientLatency.triple_buffered_client_has_less_than_two_frames_latency (1762 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=clang,platform=mesa,release=vivid+overlay/1034/consoleFull

Daniel van Vugt (vanvugt) wrote :

And now:

06:32:57 12: [ debug ] 98 frames sampled, averaging 2.7 frames latency
06:32:57 12: [ debug ] 0: 1 2 2 2 2 2 2 2 2 2
06:32:57 12: [ debug ] 10: 2 2 2 2 2 2 2 2 2 2
06:32:57 12: [ debug ] 20: 2 2 2 2 2 2 2 2 2 2
06:32:57 12: [ debug ] 30: 2 2 2 3 3 3 3 3 3 3
06:32:57 12: [ debug ] 40: 3 3 3 3 3 3 3 3 3 3
06:32:57 12: [ debug ] 50: 3 3 3 3 3 3 3 3 3 3
06:32:57 12: [ debug ] 60: 3 3 3 3 3 3 3 3 3 3
06:32:57 12: [ debug ] 70: 3 3 3 3 3 3 3 3 3 3
06:32:57 12: [ debug ] 80: 3 3 3 3 3 3 3 3 3 3
06:32:57 12: [ debug ] 90: 3 3 3 3 3 3 3 3
06:32:57 12: /��BUILDDIR��/mir-0.23.0+vivid1074bzr3510/tests/acceptance-tests/test_latency.cpp:296: Failure
06:32:57 12: Value of: observed_latency
06:32:57 12: Expected: is < 2.4
06:32:57 12: Actual: 2.65306 (of type float)
06:32:57 12: [2016-05-10 06:32:57.700788] mirserver: Stopping
06:32:57 12: [ FAILED ] ClientLatency.triple_buffered_client_has_less_than_two_frames_latency (1810 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=clang,platform=mesa,release=vivid+overlay/1046/consoleFull

Daniel van Vugt (vanvugt) wrote :

^^^ says:

16:05:00 12: [ debug ] 98 frames sampled, averaging 2.6 frames latency
16:05:00 12: [ debug ] 0: 1 2 2 2 2 2 2 2 2 2
16:05:00 12: [ debug ] 10: 2 2 2 2 2 2 2 2 2 2
16:05:00 12: [ debug ] 20: 2 2 2 2 2 2 2 2 2 3
16:05:00 12: [ debug ] 30: 3 3 2 2 2 2 2 2 3 3
16:05:00 12: [ debug ] 40: 3 3 3 3 3 3 3 3 3 3
16:05:00 12: [ debug ] 50: 3 3 3 3 3 3 3 3 3 3
16:05:00 12: [ debug ] 60: 3 3 3 3 3 3 3 3 3 3
16:05:00 12: [ debug ] 70: 3 3 3 3 3 3 3 3 3 3
16:05:00 12: [ debug ] 80: 3 3 3 3 3 3 3 3 3 3
16:05:00 12: [ debug ] 90: 3 3 3 3 3 3 3 3
16:05:00 12: /��BUILDDIR��/mir-0.23.0+vivid1121bzr3512/tests/acceptance-tests/test_latency.cpp:296: Failure
16:05:00 12: Value of: observed_latency
16:05:00 12: Expected: is < 2.4
16:05:00 12: Actual: 2.63265 (of type float)
16:05:00 12: [2016-05-19 16:05:00.057651] mirserver: Stopping
16:05:00 12: [ FAILED ] ClientLatency.triple_buffered_client_has_less_than_two_frames_latency (1821 ms)

It's almost suspicious we're missing the mark by 0.2 frames each time. Such a small amount...

Alan Griffiths (alan-griffiths) wrote :

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=gcc,platform=mesa,release=xenial/1095/consoleFull

17:04:09 12: [ RUN ] ClientLatency.triple_buffered_client_has_less_than_two_frames_latency
17:04:09 12: [2016-05-19 17:04:09.111980] mirserver: Starting
17:04:09 12: [2016-05-19 17:04:09.112247] mirserver: Selected driver: dummy (version 0.23.0)
17:04:09 12: [2016-05-19 17:04:09.117036] mirserver: Using software cursor
17:04:09 12: [2016-05-19 17:04:09.117464] mirserver: Initial display configuration:
17:04:09 12: [2016-05-19 17:04:09.121744] mirserver: Selected input driver: mir:stub-input (version: 0.23.0)
17:04:09 12: [2016-05-19 17:04:09.121938] mirserver: Mir version 0.23.0
17:04:10 12: [ debug ] 99 frames sampled, averaging 2.5 frames latency
17:04:10 12: [ debug ] 0: 1 2 2 2 2 2 2 2 2 2
17:04:10 12: [ debug ] 10: 2 2 2 2 2 2 2 2 2 2
17:04:10 12: [ debug ] 20: 2 2 2 2 2 2 2 2 2 2
17:04:10 12: [ debug ] 30: 2 2 2 2 2 2 2 2 2 2
17:04:10 12: [ debug ] 40: 2 2 2 2 2 3 3 3 3 3
17:04:10 12: [ debug ] 50: 3 3 3 3 3 3 3 3 3 3
17:04:10 12: [ debug ] 60: 3 3 3 3 3 3 3 3 3 3
17:04:10 12: [ debug ] 70: 3 3 3 3 3 3 3 3 3 3
17:04:10 12: [ debug ] 80: 3 3 3 3 3 3 3 3 3 3
17:04:10 12: [ debug ] 90: 3 3 3 3 2 2 2 2 2
17:04:10 12: /��BUILDDIR��/mir-0.23.0+xenial1124bzr3512/tests/acceptance-tests/test_latency.cpp:296: Failure
17:04:10 12: Value of: observed_latency
17:04:10 12: Expected: is < 2.4
17:04:10 12: Actual: 2.48485 (of type float)
17:04:10 12: [2016-05-19 17:04:10.860621] mirserver: Stopping
17:04:10 12: [ FAILED ] ClientLatency.triple_buffered_client_has_less_than_two_frames_latency (1764 ms)

Changed in mir:
milestone: none → 0.24.0
Changed in mir:
status: Triaged → In Progress
Mir CI Bot (mir-ci-bot) wrote :

Fix committed into lp:mir at revision None, scheduled for release in mir, milestone 0.24.0

Changed in mir:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (5.7 KiB)

This bug was fixed in the package mir - 0.24.0+16.10.20160815.3-0ubuntu1

---------------
mir (0.24.0+16.10.20160815.3-0ubuntu1) yakkety; urgency=medium

  * New upstream release 0.24.0 (https://launchpad.net/mir/+milestone/0.24.0)
    - ABI summary:
      . mirclient ABI unchanged at 9
      . mirserver ABI bumped to 41
      . mircommon ABI unchanged at 6
      . mirplatform ABI bumped to 12
      . mirprotobuf ABI unchanged at 3
      . mirplatformgraphics ABI bumped to 10
      . mirclientplatform ABI unchanged at 5
      . mirinputplatform ABI unchanged at 5
    - Enhancements:
      . Added a new tool 'mirvanity' which can use a high speed video camera
        to measure client-to-screen latency.
      . Added (build-time) support for desktop full OpenGL servers (disabled
        by default in favor of GLESv2).
      . Introduced new buffer semantics (NBS) and enabled it by default.
      . Avoided using libmirserver in mir_demo_standalone_render_overlays,
        making bringup traces less cluttered.
      . Removed TilingWindowManager from example servers.
      . Added two new mir_*_performance_test tools that are run as part of
        'mir_performance_tests'.
      . Added pointer confinement to the client API.
      . Added new platform supporting software EGLStreams.
      . Added an input platform that the nested server can use.
      . Allow configuration of the application_not_responding_detector
      . Handle server-side keymapping using XKBMapper.
      . Remove the offscreen display.
      . Add callback option to notify shells that the server is about to stop.
      . Add logging for ANativeWindow events on Android.
    - Bugs fixed:
      . usage of std:call_once in mirclient causes TLS collisions with some
        android devices (LP: #1599867)
      . AltGr not working on external keyboards (LP: #1565236)
      . [regression] unity8 fails to start when built with 0.24 series (lp:mir)
        (LP: #1597717)
      . CI failure in MirSurfaceVisibilityEvent.exposed_received_when_surface_
        raised_over_occluding_surface [called twice - over-saturated and active]
        (LP: #1556045)
      . package-built mir_demo_server does not start on device (LP: #1577357)
      . During surface creation, first stream in spec becomes default stream.
        (LP: #1577967)
      . mouse is getting stuck on a phantom edge (LP: #1580774)
      . [testsfail] in MirSurfaceVisibilityEvent.exposed_received_when_surface_
        raised_over_occluding_surface [never called] (LP: #1581385)
      . [enhancement] Add support for full OpenGL compositing (LP: #1420581)
      . [testsfail] ServerSignal.terminate_handler_is_called_for_SIGINT|SIGTERM
        (LP: #1570353)
      . [testsfail] ClientLatency.triple_buffered_client_has_less_than_two_
        frames_latency (LP: #1576690)
      . [testsfail] NestedServer.when_monitor_plugged_in_client_is_notified_of_
        new_display_configuration (LP: #1576760)
      . mir server crashed in what(): drmModeMoveCursor failed (returned -13)
        (LP: #1579630)
      . mirtest-dev is hard to use as the objects used are compiled with LTO
        (LP: #1583536)
      . [testsfail] ClientLogging.repo...

Read more...

Changed in mir (Ubuntu):
status: New → Fix Released
Changed in mir:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers